﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FonctionProcedures
{
    class Program
    {
        static void afficheSomme(int i, int j)
            // procédure somme
             // calcul et affichage, ne renvoie rien : void
            // static car pas d'objet
        {
            Console.WriteLine("somme de" + i + " et "+ j);
            int s = i + j;
            Console.WriteLine(s);
        }

        static int somme(int i, int j)
            // fonction somme, renvoie (return) la somme de i et j
        {
            return i + j;
        }

        static void Main(string[] args)
        // main est de type void (ou int) et prend en paramétre 
        // un tableau de string 
        // main est static car ne s'applique pas à un objet
        {
            afficheSomme(3, 4);//affichage
            somme(5, 6);// calcul seul (sert à rien)
            Console.WriteLine(somme(8, 10));// calcul et affichage
            int x = somme(5, 5);// calcul et stockage dans une variable
            afficheSomme(x, somme(1, 1));// composition de fonctions (idem f(g(x)))
        }
    }
}
 